Package org.drinkless.tdlib

# Class TdApi.StarSubscriptionTypeBot

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.StarSubscriptionType
org.drinkless.tdlib.TdApi.StarSubscriptionTypeBot

Enclosing class:
  `TdApi`

public static class TdApi.StarSubscriptionTypeBot extends TdApi.StarSubscriptionType
Describes a subscription in a bot or a business account.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.StarSubscriptionType

  `TdApi.StarSubscriptionType.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `invoiceLink`
  The link to the subscription invoice.
  `boolean`
  `isCanceledByBot`
  True, if the subscription was canceled by the bot and can't be extended.
  `TdApi.Photo`
  `photo`
  Subscription invoice photo.
  `String`
  `title`
  Subscription invoice title.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StarSubscriptionTypeBot()`
  Describes a subscription in a bot or a business account.
  `StarSubscriptionTypeBot(boolean isCanceledByBot, String title, TdApi.Photo photo, String invoiceLink)`
  Describes a subscription in a bot or a business account.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### isCanceledByBot

    public boolean isCanceledByBot
    True, if the subscription was canceled by the bot and can't be extended.

  - ### title

    public String title
    Subscription invoice title.

  - ### photo

    public TdApi.Photo photo
    Subscription invoice photo.

  - ### invoiceLink

    public String invoiceLink
    The link to the subscription invoice.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### StarSubscriptionTypeBot

    public StarSubscriptionTypeBot()
    Describes a subscription in a bot or a business account.

  - ### StarSubscriptionTypeBot

    public StarSubscriptionTypeBot(boolean isCanceledByBot, String title, TdApi.Photo photo, String invoiceLink)
    Describes a subscription in a bot or a business account.
    Parameters:
      `isCanceledByBot` - True, if the subscription was canceled by the bot and can't be extended.
      `title` - Subscription invoice title.
      `photo` - Subscription invoice photo.
      `invoiceLink` - The link to the subscription invoice.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.StarSubscriptionType`
    Returns:
      this.CONSTRUCTOR